# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define sname  PyQt5_gpl
%define qt5_minver 5.6.0

Name:          python-qt5
Version:       5.6
Release:       %mkrel 8
Summary:       Set of Python bindings for The Qt Company's Qt application framework
License:       GPLv2+
Group:         Development/KDE and Qt
URL:           http://www.riverbankcomputing.co.uk/software/pyqt/intro
Source0:       http://download.sourceforge.net/pyqt/%{sname}-%{version}.tar.gz
# wrapper, see https://bugzilla.redhat.com/show_bug.cgi?id=1193107#c9
Source1:       pyuic5.sh
# From Fedora, fixes FTBFS: /usr/include/dbus-1.0/dbus/dbus.h:29:33: fatal error: dbus/dbus-arch-deps.h: No such file or directory
Patch0:        PyQt5_gpl-5.6-dbus_ftbfs.patch

BuildRequires: pkgconfig(Enginio) >= 1.6.1
BuildRequires: pkgconfig(Qt5Bluetooth) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Core) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5DBus) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Designer) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Gui) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Help) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Location) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Multimedia) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5MultimediaWidgets) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Network) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Nfc) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5OpenGL) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Positioning) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5PrintSupport) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Qml) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Quick) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5QuickWidgets) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Sensors) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5SerialPort) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Sql) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Svg) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Test) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5WebChannel) >= %{qt5_minver}
%ifnarch armv5tl
BuildRequires: pkgconfig(Qt5WebEngine) >= %{qt5_minver}
%endif
# QtWebKit{,Widgets} kept for calibre - it's being rebooted upstream too
# so might make it back in the mainline distribution or as addon (akien)
BuildRequires: pkgconfig(Qt5WebKit) >= 5.5.1
BuildRequires: pkgconfig(Qt5WebKitWidgets) >= 5.5.1
BuildRequires: pkgconfig(Qt5WebSockets) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Widgets) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5Xml) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5XmlPatterns) >= %{qt5_minver}
BuildRequires: pkgconfig(Qt5X11Extras) >= %{qt5_minver}
BuildRequires: pkgconfig(dbus-python)
BuildRequires: python-sip >= 1:4.18
BuildRequires: pkgconfig(python2)

Provides:      PyQt5 = %{version}-%{release}

Requires:      %{name}-core = %{version}
Requires:      %{name}-dbus = %{version}
Requires:      %{name}-bluetooth = %{version}
Requires:      %{name}-designer = %{version}
Requires:      %{name}-enginio = %{version}
Requires:      %{name}-gui = %{version}
Requires:      %{name}-location = %{version}
Requires:      %{name}-multimedia = %{version}
Requires:      %{name}-multimediawidgets = %{version}
Requires:      %{name}-network = %{version}
Requires:      %{name}-nfc = %{version}
Requires:      %{name}-opengl = %{version}
Requires:      %{name}-positioning = %{version}
Requires:      %{name}-printsupport = %{version}
Requires:      %{name}-qml = %{version}
Requires:      %{name}-quick = %{version}
Requires:      %{name}-quickwidgets = %{version}
Requires:      %{name}-sensors = %{version}
Requires:      %{name}-serialport = %{version}
Requires:      %{name}-sql = %{version}
Requires:      %{name}-svg = %{version}
Requires:      %{name}-test = %{version}
Requires:      %{name}-webchannel = %{version}
%ifnarch armv5tl
Requires:      %{name}-webenginecore = %{version}
Requires:      %{name}-webenginewidgets = %{version}
%endif
Requires:      %{name}-webkit = %{version}
Requires:      %{name}-webkitwidgets = %{version}
Requires:      %{name}-websockets = %{version}
Requires:      %{name}-widgets = %{version}
Requires:      %{name}-xml = %{version}
Requires:      %{name}-xmlpatterns = %{version}
Requires:      %{name}-x11extras = %{version}

%description
PyQt is a set of Python bindings for The Qt Company's Qt application
framework.

%files
%doc NEWS README
%license LICENSE

#------------------------------------------------------------

%package       core
Summary:       PyQt 5 core
Group:         Development/KDE and Qt
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   core
PyQt 5 core.

%files core
%dir %{python2_sitearch}/PyQt5
%{python2_sitearch}/PyQt5/uic
%{python2_sitearch}/PyQt5/__init__.py*
%{python2_sitearch}/dbus/*
%{python2_sitearch}/PyQt5/Qt.so
%{python2_sitearch}/PyQt5/QtCore.so
%dir %{_datadir}/sip/PyQt5
%{_datadir}/sip/PyQt5/Qt
%{_datadir}/sip/PyQt5/QtCore

#------------------------------------------------------------

%package       dbus
Summary:       PyQt 5 dbus
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   dbus
PyQt 5 dbus.

%files dbus
%{python2_sitearch}/PyQt5/QtDBus.so
%{_datadir}/sip/PyQt5/QtDBus

#------------------------------------------------------------

%package       bluetooth
Summary:       PyQt 5 bluetooth
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   bluetooth
PyQt 5 bluetooth.

%files bluetooth
%{python2_sitearch}/PyQt5/QtBluetooth.so
%{_datadir}/sip/PyQt5/QtBluetooth

#------------------------------------------------------------

%package       enginio
Summary:       PyQt 5 enginio
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   enginio
PyQt 5 enginio.

%files enginio
%{python2_sitearch}/PyQt5/Enginio.so
%{_datadir}/sip/PyQt5/Enginio

#------------------------------------------------------------

%package       gui
Summary:       PyQt 5 gui
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   gui
PyQt 5 gui.

%files gui
%{python2_sitearch}/PyQt5/QtGui.so
%{python2_sitearch}/PyQt5/_QOpenGLFunctions_*.so
%{_datadir}/sip/PyQt5/QtGui
%{_datadir}/sip/PyQt5/_QOpenGLFunctions_*

#------------------------------------------------------------

%package       network
Summary:       PyQt 5 network
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   network
PyQt 5 network.

%files network
%{python2_sitearch}/PyQt5/QtNetwork.so
%{_datadir}/sip/PyQt5/QtNetwork

#------------------------------------------------------------

%package       help
Summary:       PyQt 5 help
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   help
PyQt 5 help.

%files help
%{python2_sitearch}/PyQt5/QtHelp.so
%{_datadir}/sip/PyQt5/QtHelp

#------------------------------------------------------------

%package       location
Summary:       PyQt 5 location
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   location
PyQt 5 location.

%files location
%{python2_sitearch}/PyQt5/QtLocation.so
%{_datadir}/sip/PyQt5/QtLocation

#------------------------------------------------------------

%package       nfc
Summary:       PyQt 5 nfc
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   nfc
PyQt 5 nfc.

%files nfc
%{python2_sitearch}/PyQt5/QtNfc.so
%{_datadir}/sip/PyQt5/QtNfc

#------------------------------------------------------------

%package       opengl
Summary:       PyQt 5 opengl
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   opengl
PyQt 5 opengl.

%files opengl
%{python2_sitearch}/PyQt5/QtOpenGL.so
%{_datadir}/sip/PyQt5/QtOpenGL

#------------------------------------------------------------

%package       positioning
Summary:       PyQt 5 positioning
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   positioning
PyQt 5 positioning.

%files positioning
%{python2_sitearch}/PyQt5/QtPositioning.so
%{_datadir}/sip/PyQt5/QtPositioning

#------------------------------------------------------------

%package       printsupport
Summary:       PyQt 5 printsupport
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   printsupport
PyQt 5 printsupport.

%files printsupport
%{python2_sitearch}/PyQt5/QtPrintSupport.so
%{_datadir}/sip/PyQt5/QtPrintSupport

#------------------------------------------------------------

%package       qml
Summary:       PyQt 5 qml
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   qml
PyQt 5 qml.

%files qml
%{python2_sitearch}/PyQt5/QtQml.so
%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so
%{_datadir}/sip/PyQt5/QtQml

#------------------------------------------------------------

%package       quick
Summary:       PyQt 5 quick
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   quick
PyQt 5 quick.

%files quick
%{python2_sitearch}/PyQt5/QtQuick.so
%{_datadir}/sip/PyQt5/QtQuick

#------------------------------------------------------------

%package       quickwidgets
Summary:       PyQt 5 quickwidgets
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   quickwidgets
PyQt 5 quickwidgets.

%files quickwidgets
%{python2_sitearch}/PyQt5/QtQuickWidgets.so
%{_datadir}/sip/PyQt5/QtQuickWidgets

#------------------------------------------------------------

%package       multimedia
Summary:       PyQt 5 multimedia
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   multimedia
PyQt 5 multimedia.

%files multimedia
%{python2_sitearch}/PyQt5/QtMultimedia.so
%{_datadir}/sip/PyQt5/QtMultimedia

#------------------------------------------------------------

%package       multimediawidgets
Summary:       PyQt 5 multimediawidgets
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   multimediawidgets
PyQt 5 multimediawidgets.

%files multimediawidgets
%{python2_sitearch}/PyQt5/QtMultimediaWidgets.so
%{_datadir}/sip/PyQt5/QtMultimediaWidgets

#------------------------------------------------------------

%package       sensors
Summary:       PyQt 5 sensors
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   sensors
PyQt 5 sensors.

%files sensors
%{python2_sitearch}/PyQt5/QtSensors.so
%{_datadir}/sip/PyQt5/QtSensors

#------------------------------------------------------------

%package       serialport
Summary:       PyQt 5 serialport
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   serialport
PyQt 5 serialport.

%files serialport
%{python2_sitearch}/PyQt5/QtSerialPort.so
%{_datadir}/sip/PyQt5/QtSerialPort

#------------------------------------------------------------

%package       sql
Summary:       PyQt 5 sql
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   sql
PyQt 5 sql.

%files sql
%{python2_sitearch}/PyQt5/QtSql.so
%{_datadir}/sip/PyQt5/QtSql

#------------------------------------------------------------

%package       svg
Summary:       PyQt 5 svg
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   svg
PyQt 5 svg.

%files svg
%{python2_sitearch}/PyQt5/QtSvg.so
%{_datadir}/sip/PyQt5/QtSvg

#------------------------------------------------------------

%package       test
Summary:       PyQt 5 test
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   test
PyQt 5 test.

%files test
%{python2_sitearch}/PyQt5/QtTest.so
%{_datadir}/sip/PyQt5/QtTest

#------------------------------------------------------------

%package       webchannel
Summary:       PyQt 5 webchannel
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   webchannel
PyQt 5 webchannel.

%files webchannel
%{python2_sitearch}/PyQt5/QtWebChannel.so
%{_datadir}/sip/PyQt5/QtWebChannel

#------------------------------------------------------------

%ifnarch armv5tl
%package       webenginecore
Summary:       PyQt 5 webenginecore
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   webenginecore
PyQt 5 webenginecore.

%files webenginecore
%{python2_sitearch}/PyQt5/QtWebEngineCore.so
%{_datadir}/sip/PyQt5/QtWebEngineCore

#------------------------------------------------------------

%package       webenginewidgets
Summary:       PyQt 5 webenginewidgets
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   webenginewidgets
PyQt 5 webenginewidgets.

%files webenginewidgets
%{python2_sitearch}/PyQt5/QtWebEngineWidgets.so
%{_datadir}/sip/PyQt5/QtWebEngineWidgets
%endif

#------------------------------------------------------------

%package       webkit
Summary:       PyQt 5 webkit
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   webkit
PyQt 5 webkit.

%files webkit
%{python2_sitearch}/PyQt5/QtWebKit.so
%{_datadir}/sip/PyQt5/QtWebKit

#------------------------------------------------------------

%package       webkitwidgets
Summary:       PyQt 5 webkitwidgets
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   webkitwidgets
PyQt 5 webkitwidgets.

%files webkitwidgets
%{python2_sitearch}/PyQt5/QtWebKitWidgets.so
%{_datadir}/sip/PyQt5/QtWebKitWidgets

#------------------------------------------------------------

%package       websockets
Summary:       PyQt 5 websockets
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   websockets
PyQt 5 websockets.

%files websockets
%{python2_sitearch}/PyQt5/QtWebSockets.so
%{_datadir}/sip/PyQt5/QtWebSockets

#------------------------------------------------------------

%package       widgets
Summary:       PyQt 5 widgets
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   widgets
PyQt 5 widgets.

%files widgets
%{python2_sitearch}/PyQt5/QtWidgets.so
%{_datadir}/sip/PyQt5/QtWidgets

#------------------------------------------------------------

%package       xml
Summary:       PyQt 5 xml
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   xml
PyQt 5 xml.

%files xml
%{python2_sitearch}/PyQt5/QtXml.so
%{_datadir}/sip/PyQt5/QtXml

#------------------------------------------------------------

%package       xmlpatterns
Summary:       PyQt 5 xmlpatterns
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   xmlpatterns
PyQt 5 xmlpatterns.

%files xmlpatterns
%{python2_sitearch}/PyQt5/QtXmlPatterns.so
%{_datadir}/sip/PyQt5/QtXmlPatterns

#------------------------------------------------------------

%package       x11extras
Summary:       PyQt 5 x11extras
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   x11extras
PyQt 5 x11extras.

%files x11extras
%{python2_sitearch}/PyQt5/QtX11Extras.so
%{_datadir}/sip/PyQt5/QtX11Extras

#------------------------------------------------------------

%package       designer
Summary:       PyQt 5 designer
Group:         Development/KDE and Qt
Requires:      %{name}-core = %{version}
Requires:      sip-api(%{_sip_api_major}) >= %{_sip_api}

%description   designer
PyQt 5 designer.

%files designer
%{python2_sitearch}/PyQt5/QtDesigner.so
%{_datadir}/sip/PyQt5/QtDesigner

#------------------------------------------------------------

%package       devel
Summary:       PyQt 5 devel
Group:         Development/KDE and Qt
Requires:      %{name} = %{version}
Requires:      qttools5-designer

%description   devel
PyQt 5 devel utilities.

%files devel
%{_bindir}/pyuic5
%{_bindir}/pyrcc5
%{_bindir}/pylupdate5
%{_qt5_plugindir}/designer/*

#------------------------------------------------------------

%package       doc
Summary:       PyQt 5 documentation
Group:         Development/KDE and Qt
BuildArch:     noarch

%description   doc
PyQt 5 documentation.

%files doc
%doc %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/examples

#------------------------------------------------------------

%package       examples
Summary:       PyQt 5 examples
Group:         Development/KDE and Qt
BuildArch:     noarch

%description   examples
PyQt 5 examples.

%files examples
%doc %{_docdir}/%{name}/examples

#------------------------------------------------------------

%package       qsci-api
Summary:       PyQt 5 Qscintilla API
Group:         Development/KDE and Qt
BuildArch:     noarch

# Files were moved around
Conflicts:     python-qt5-core < 5.6-5

%description   qsci-api
PyQt 5 Qscintilla API.

%files qsci-api
%dir %{_qt5_prefix}/qsci/
%dir %{_qt5_prefix}/qsci/api/
%dir %{_qt5_prefix}/qsci/api/python/
%{_qt5_prefix}/qsci/api/python/PyQt5.api

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n    python3-qt5
Summary:       Set of Python 3 bindings for The Qt Company's Qt application framework
Group:         Development/KDE and Qt

BuildRequires: pkgconfig(python3)
BuildRequires: python3-sip-devel >= 1:4.18
BuildRequires: python3-dbus

Provides:      python3-PyQt5 = %{version}-%{release}

Requires:      %{py3_name}-core = %{version}
Requires:      %{py3_name}-dbus = %{version}
Requires:      %{py3_name}-bluetooth = %{version}
Requires:      %{py3_name}-designer = %{version}
Requires:      %{py3_name}-enginio = %{version}
Requires:      %{py3_name}-gui = %{version}
Requires:      %{py3_name}-location = %{version}
Requires:      %{py3_name}-multimedia = %{version}
Requires:      %{py3_name}-multimediawidgets = %{version}
Requires:      %{py3_name}-nfc = %{version}
Requires:      %{py3_name}-network = %{version}
Requires:      %{py3_name}-opengl = %{version}
Requires:      %{py3_name}-positioning = %{version}
Requires:      %{py3_name}-printsupport = %{version}
Requires:      %{py3_name}-qml = %{version}
Requires:      %{py3_name}-quick = %{version}
Requires:      %{py3_name}-quickwidgets = %{version}
Requires:      %{py3_name}-sensors = %{version}
Requires:      %{py3_name}-serialport = %{version}
Requires:      %{py3_name}-sql = %{version}
Requires:      %{py3_name}-svg = %{version}
Requires:      %{py3_name}-test = %{version}
Requires:      %{py3_name}-webchannel = %{version}
%ifnarch armv5tl
Requires:      %{py3_name}-webenginecore = %{version}
Requires:      %{py3_name}-webenginewidgets = %{version}
%endif
Requires:      %{py3_name}-webkit = %{version}
Requires:      %{py3_name}-webkitwidgets = %{version}
Requires:      %{py3_name}-websockets = %{version}
Requires:      %{py3_name}-widgets = %{version}
Requires:      %{py3_name}-xml = %{version}
Requires:      %{py3_name}-xmlpatterns = %{version}
Requires:      %{py3_name}-x11extras = %{version}

%description -n python3-qt5
PyQt is a set of Python 3 bindings for The Qt Company's Qt application
framework.

%files -n python3-qt5
%doc NEWS README
%license LICENSE

#------------------------------------------------------------

%package -n    %{py3_name}-core
Summary:       Python 3 bindings for PyQt 5 core
Group:         Development/KDE and Qt
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}
Requires:      python3-dbus

%description -n %{py3_name}-core
Python 3 bindings for PyQt 5 core.

%files -n %{py3_name}-core
%dir %{python3_sitearch}/PyQt5
%{python3_sitearch}/PyQt5/uic/
%{python3_sitearch}/PyQt5/__pycache__/
%{python3_sitearch}/PyQt5/__init__.py*
%{python3_sitearch}/dbus/mainloop/pyqt5.so
%{python3_sitearch}/PyQt5/Qt.so
%{python3_sitearch}/PyQt5/QtCore.so
%dir %{_datadir}/python3-sip/PyQt5
%{_datadir}/python3-sip/PyQt5/Qt
%{_datadir}/python3-sip/PyQt5/QtCore

#------------------------------------------------------------

%package -n    %{py3_name}-dbus
Summary:       Python 3 bindings for PyQt 5 dbus
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-dbus
Python 3 bindings for PyQt 5 dbus.

%files -n %{py3_name}-dbus
%{python3_sitearch}/PyQt5/QtDBus.so
%{_datadir}/python3-sip/PyQt5/QtDBus

#------------------------------------------------------------

%package -n    %{py3_name}-bluetooth
Summary:       Python 3 bindings for PyQt 5 bluetooth
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-bluetooth
Python 3 bindings for PyQt 5 bluetooth.

%files -n %{py3_name}-bluetooth
%{python3_sitearch}/PyQt5/QtBluetooth.so
%{_datadir}/python3-sip/PyQt5/QtBluetooth

#------------------------------------------------------------

%package -n    %{py3_name}-enginio
Summary:       Python 3 bindings for PyQt 5 enginio
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-enginio
Python 3 bindings for PyQt 5 enginio.

%files -n %{py3_name}-enginio
%{python3_sitearch}/PyQt5/Enginio.so
%{_datadir}/python3-sip/PyQt5/Enginio

#------------------------------------------------------------

%package -n    %{py3_name}-gui
Summary:       Python 3 bindings for PyQt 5 gui
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-gui
Python 3 bindings for PyQt 5 gui.

%files -n %{py3_name}-gui
%{python3_sitearch}/PyQt5/QtGui.so
%{python3_sitearch}/PyQt5/_QOpenGLFunctions_*.so
%{_datadir}/python3-sip/PyQt5/QtGui
%{_datadir}/python3-sip/PyQt5/_QOpenGLFunctions_*

#------------------------------------------------------------

%package -n    %{py3_name}-network
Summary:       Python 3 bindings for PyQt 5 network
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-network
Python 3 bindings for PyQt 5 network.

%files -n %{py3_name}-network
%{python3_sitearch}/PyQt5/QtNetwork.so
%{_datadir}/python3-sip/PyQt5/QtNetwork

#------------------------------------------------------------

%package -n    %{py3_name}-help
Summary:       Python 3 bindings for PyQt 5 help
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-help
Python 3 bindings for PyQt 5 help.

%files -n %{py3_name}-help
%{python3_sitearch}/PyQt5/QtHelp.so
%{_datadir}/python3-sip/PyQt5/QtHelp

#------------------------------------------------------------

%package -n    %{py3_name}-location
Summary:       Python 3 bindings for PyQt 5 location
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-location
Python 3 bindings for PyQt 5 location.

%files -n %{py3_name}-location
%{python3_sitearch}/PyQt5/QtLocation.so
%{_datadir}/python3-sip/PyQt5/QtLocation

#------------------------------------------------------------

%package -n    %{py3_name}-nfc
Summary:       Python 3 bindings for PyQt 5 nfc
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-nfc
Python 3 bindings for PyQt 5 nfc.

%files -n %{py3_name}-nfc
%{python3_sitearch}/PyQt5/QtNfc.so
%{_datadir}/python3-sip/PyQt5/QtNfc

#------------------------------------------------------------

%package -n    %{py3_name}-opengl
Summary:       Python 3 bindings for PyQt 5 opengl
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-opengl
Python 3 bindings for PyQt 5 opengl.

%files -n %{py3_name}-opengl
%{python3_sitearch}/PyQt5/QtOpenGL.so
%{_datadir}/python3-sip/PyQt5/QtOpenGL

#------------------------------------------------------------

%package -n    %{py3_name}-positioning
Summary:       Python 3 bindings for PyQt 5 positioning
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-positioning
Python 3 bindings for PyQt 5 positioning.

%files -n %{py3_name}-positioning
%{python3_sitearch}/PyQt5/QtPositioning.so
%{_datadir}/python3-sip/PyQt5/QtPositioning

#------------------------------------------------------------

%package -n    %{py3_name}-printsupport
Summary:       Python 3 bindings for PyQt 5 printsupport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-printsupport
Python 3 bindings for PyQt 5 printsupport.

%files -n %{py3_name}-printsupport
%{python3_sitearch}/PyQt5/QtPrintSupport.so
%{_datadir}/python3-sip/PyQt5/QtPrintSupport

#------------------------------------------------------------

%package -n    %{py3_name}-qml
Summary:       Python 3 bindings for PyQt 5 qml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-qml
Python 3 bindings for PyQt 5 qml.

%files -n %{py3_name}-qml
%{python3_sitearch}/PyQt5/QtQml.so
#{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so
%{_datadir}/python3-sip/PyQt5/QtQml

#------------------------------------------------------------

%package -n    %{py3_name}-quick
Summary:       Python 3 bindings for PyQt 5 quick
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-quick
Python 3 bindings for PyQt 5 quick.

%files -n %{py3_name}-quick
%{python3_sitearch}/PyQt5/QtQuick.so
%{_datadir}/python3-sip/PyQt5/QtQuick

#------------------------------------------------------------

%package -n    %{py3_name}-quickwidgets
Summary:       Python 3 bindings for PyQt 5 quickwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-quickwidgets
Python 3 bindings for PyQt 5 quick.

%files -n %{py3_name}-quickwidgets
%{python3_sitearch}/PyQt5/QtQuickWidgets.so
%{_datadir}/python3-sip/PyQt5/QtQuickWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-multimedia
Summary:       Python 3 bindings for PyQt 5 multimedia
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-multimedia
Python 3 bindings for PyQt 5 multimedia.

%files -n %{py3_name}-multimedia
%{python3_sitearch}/PyQt5/QtMultimedia.so
%{_datadir}/python3-sip/PyQt5/QtMultimedia

#------------------------------------------------------------

%package -n    %{py3_name}-multimediawidgets
Summary:       Python 3 bindings for PyQt 5 multimediawidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-multimediawidgets
Python 3 bindings for PyQt 5 multimediawidgets.

%files -n %{py3_name}-multimediawidgets
%{python3_sitearch}/PyQt5/QtMultimediaWidgets.so
%{_datadir}/python3-sip/PyQt5/QtMultimediaWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-sensors
Summary:       Python 3 bindings for PyQt 5 sensors
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-sensors
Python 3 bindings for PyQt 5 sensors

%files -n %{py3_name}-sensors
%{python3_sitearch}/PyQt5/QtSensors.so
%{_datadir}/python3-sip/PyQt5/QtSensors

#------------------------------------------------------------

%package -n    %{py3_name}-serialport
Summary:       Python 3 bindings for PyQt 5 serialport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-serialport
Python 3 bindings for PyQt 5 serialport.

%files -n %{py3_name}-serialport
%{python3_sitearch}/PyQt5/QtSerialPort.so
%{_datadir}/python3-sip/PyQt5/QtSerialPort

#------------------------------------------------------------

%package -n    %{py3_name}-sql
Summary:       Python 3 bindings for PyQt 5 sql
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-sql
Python 3 bindings for PyQt 5 sql.

%files -n %{py3_name}-sql
%{python3_sitearch}/PyQt5/QtSql.so
%{_datadir}/python3-sip/PyQt5/QtSql

#------------------------------------------------------------

%package -n    %{py3_name}-svg
Summary:       Python 3 bindings for PyQt 5 svg
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-svg
Python 3 bindings for PyQt 5 svg.

%files -n %{py3_name}-svg
%{python3_sitearch}/PyQt5/QtSvg.so
%{_datadir}/python3-sip/PyQt5/QtSvg

#------------------------------------------------------------

%package -n    %{py3_name}-test
Summary:       Python 3 bindings for PyQt 5 test
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-test
Python 3 bindings for PyQt 5 test.

%files -n %{py3_name}-test
%{python3_sitearch}/PyQt5/QtTest.so
%{_datadir}/python3-sip/PyQt5/QtTest

#------------------------------------------------------------

%package -n    %{py3_name}-webchannel
Summary:       Python 3 bindings for PyQt 5 webchannel
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webchannel
Python 3 bindings for PyQt 5 webchannel.

%files -n %{py3_name}-webchannel
%{python3_sitearch}/PyQt5/QtWebChannel.so
%{_datadir}/python3-sip/PyQt5/QtWebChannel

#------------------------------------------------------------

%ifnarch armv5tl
%package -n    %{py3_name}-webenginecore
Summary:       Python 3 bindings for PyQt 5 webenginecore
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webenginecore
Python 3 bindings for PyQt 5 webenginecore.

%files -n %{py3_name}-webenginecore
%{python3_sitearch}/PyQt5/QtWebEngineCore.so
%{_datadir}/python3-sip/PyQt5/QtWebEngineCore

#------------------------------------------------------------

%package -n    %{py3_name}-webenginewidgets
Summary:       Python 3 bindings for PyQt 5 webenginewidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webenginewidgets
Python 3 bindings for PyQt 5 webenginewidgets.

%files -n %{py3_name}-webenginewidgets
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.so
%{_datadir}/python3-sip/PyQt5/QtWebEngineWidgets
%endif

#------------------------------------------------------------

%package -n    %{py3_name}-webkit
Summary:       Python 3 bindings for PyQt 5 webkit
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webkit
Python 3 bindings for PyQt 5 webkit.

%files -n %{py3_name}-webkit
%{python3_sitearch}/PyQt5/QtWebKit.so
%{_datadir}/python3-sip/PyQt5/QtWebKit

#------------------------------------------------------------

%package -n    %{py3_name}-webkitwidgets
Summary:       Python 3 bindings for PyQt 5 webkitwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webkitwidgets
Python 3 bindings for PyQt 5 webkitwidgets.

%files -n %{py3_name}-webkitwidgets
%{python3_sitearch}/PyQt5/QtWebKitWidgets.so
%{_datadir}/python3-sip/PyQt5/QtWebKitWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-websockets
Summary:       Python 3 bindings for PyQt 5 websockets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-websockets
Python 3 bindings for PyQt 5 websockets.

%files -n %{py3_name}-websockets
%{python3_sitearch}/PyQt5/QtWebSockets.so
%{_datadir}/python3-sip/PyQt5/QtWebSockets

#------------------------------------------------------------

%package -n    %{py3_name}-widgets
Summary:       Python 3 bindings for PyQt 5 widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-widgets
Python 3 bindings for PyQt 5 widgets.

%files -n %{py3_name}-widgets
%{python3_sitearch}/PyQt5/QtWidgets.so
%{_datadir}/python3-sip/PyQt5/QtWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-xml
Summary:       Python 3 bindings for PyQt 5 xml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-xml
Python 3 bindings for PyQt 5 xml.

%files -n %{py3_name}-xml
%{python3_sitearch}/PyQt5/QtXml.so
%{_datadir}/python3-sip/PyQt5/QtXml

#------------------------------------------------------------

%package -n    %{py3_name}-xmlpatterns
Summary:       Python 3 bindings for PyQt 5 xmlpatterns
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-xmlpatterns
Python 3 bindings for PyQt 5 xmlpatterns.

%files -n %{py3_name}-xmlpatterns
%{python3_sitearch}/PyQt5/QtXmlPatterns.so
%{_datadir}/python3-sip/PyQt5/QtXmlPatterns

#------------------------------------------------------------

%package -n    %{py3_name}-x11extras
Summary:       Python 3 bindings for PyQt 5 x11extras
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-x11extras
Python 3 bindings for PyQt 5 x11extras.

%files -n %{py3_name}-x11extras
%{python3_sitearch}/PyQt5/QtX11Extras.so
%{_datadir}/python3-sip/PyQt5/QtX11Extras

#------------------------------------------------------------

%package -n    %{py3_name}-designer
Summary:       Python 3 bindings for PyQt 5 designer
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}
Requires:      python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-designer
Python 3 bindings for PyQt 5 designer.

%files -n %{py3_name}-designer
%{python3_sitearch}/PyQt5/QtDesigner.so
%{_datadir}/python3-sip/PyQt5/QtDesigner

#------------------------------------------------------------

%package -n    %{py3_name}-devel
Summary:       Python 3 bindings for PyQt 5 devel
Group:         Development/KDE and Qt
Requires:      %{py3_name} = %{version}
Requires:      qttools5-designer

%description -n %{py3_name}-devel
Python 3 bindings for PyQt 5 devel utilities.

%files -n %{py3_name}-devel
%{_bindir}/pyuic5
%{_bindir}/pyrcc5
%{_bindir}/pylupdate5
#_qt5_plugindir/designer/*
%{python3_sitearch}/PyQt5/*.pyi

#------------------------------------------------------------

%package -n    %{py3_name}-doc
Summary:       Documentation for the PyQt 5 python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-doc
Documentation for the PyQt 5 python 3 bindings.

%files -n %{py3_name}-doc
%doc %{_docdir}/%{py3_name}
%exclude %{_docdir}/%{py3_name}/examples

#------------------------------------------------------------

%package -n    %{py3_name}-examples
Summary:       Usage examples for the PyQt 5 python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-examples
Usage examples for the PyQt 5 python 3 bindings.

%files -n %{py3_name}-examples
%doc %{_docdir}/%{py3_name}/examples

### END python3-qt5

#------------------------------------------------------------

%prep
%setup -q -n %{sname}-%{version}
%autopatch -p1
cp -a . %{py3dir}

%build
export PATH=%{_qt5_bindir}:$PATH

%{__python2} ./configure.py \
  --qsci-api \
  --assume-shared \
  --confirm-license \
  --debug \
  --verbose

sed -i -e "s,-fstack-protector,-fno-stack-protector,g" _Q*/Makefile
sed -i -e "s,^LIBS .*= ,LIBS = $(python-config --libs) ,g" Qt*/Makefile _Q*/Makefile dbus/Makefile
sed -i -e "s#^LFLAGS .*= #LFLAGS = %{ldflags} #g" Qt*/Makefile _Q*/Makefile pyrcc/Makefile designer/Makefile dbus/Makefile qmlscene/Makefile

%make_build

pushd %{py3dir}
%{__python3} configure.py \
  --sipdir=%{_datadir}/python3-sip/PyQt5 \
  --no-qsci-api \
  --assume-shared \
  --confirm-license \
  --debug \
  --verbose

sed -i -e "s,-fstack-protector,-fno-stack-protector,g" _Q*/Makefile
sed -i -e "s,^LIBS .*= ,LIBS = $(python3-config --libs) ,g" Qt*/Makefile _Q*/Makefile dbus/Makefile
sed -i -e "s#^LFLAGS .*= #LFLAGS = %{ldflags} #g" Qt*/Makefile _Q*/Makefile pyrcc/Makefile designer/Makefile dbus/Makefile qmlscene/Makefile

%make_build
popd

%install
### python3-qt5 install
pushd %{py3dir}
%make_install INSTALL_ROOT=%{buildroot}
rm -fr %{buildroot}%{python3_sitearch}/PyQt5/uic/port_v2

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so %{buildroot}%{python3_sitearch}/dbus/mainloop/pyqt5.so ; do
chmod a+rx $i
done

mkdir -p %{buildroot}%{_docdir}/%{py3_name}
    cp -fr doc/html/* %{buildroot}%{_docdir}/%{py3_name}/

mkdir %{buildroot}%{_docdir}/%{py3_name}/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}/examples/
popd

### python-qt5 install
%make_install INSTALL_ROOT=%{buildroot}
rm -fr %{buildroot}%{python2_sitearch}/PyQt5/uic/port_v3

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python2_sitearch}/PyQt5/*.so %{buildroot}%{python2_sitearch}/dbus/mainloop/pyqt5.so ; do
chmod a+rx $i
done

mkdir -p %{buildroot}%{_docdir}/%{name}
    cp -fr doc/html/* %{buildroot}%{_docdir}/%{name}/

mkdir %{buildroot}%{_docdir}/%{name}/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{name}/examples/

### install pyuic5 wrapper to handle both/either python2/python3
rm -fv %{buildroot}%{_bindir}/pyuic5
install -p -m 0755 -D %{SOURCE1} %{buildroot}%{_bindir}/pyuic5
sed -i \
  -e "s|@PYTHON3@|%{__python3}|g" \
  -e "s|@PYTHON2@|%{__python2}|g" \
  %{buildroot}%{_bindir}/pyuic5


%changelog
* Thu Oct 06 2016 daviddavid <daviddavid> 5.6-8.mga6
+ Revision: 1059151
- fix pyqt5.so dbus file path (mga#19544)

* Fri Sep 23 2016 daviddavid <daviddavid> 5.6-7.mga6
+ Revision: 1055615
- disable qtwebengine5 support only on armv5tl as long as it isn't available

* Mon Jul 04 2016 daviddavid <daviddavid> 5.6-6.mga6
+ Revision: 1038677
- rebuild for new qtenginio5 1.6.1

* Wed Jun 29 2016 akien <akien> 5.6-5.mga6
+ Revision: 1038083
- Split qsci API file in a separate noarch package
  o See https://ml.mageia.org/l/arc/dev/2016-06/msg00729.html

* Sat Jun 25 2016 akien <akien> 5.6-4.mga6
+ Revision: 1037683
- Rebuild in Core Release

* Sat Jun 25 2016 akien <akien> 5.6-3.mga6
+ Revision: 1037509
- Drop unwanted Obsoletes on the WebKit{,Widgets} modules
- Package the Python 3 typehint stubs in python3-qt5-devel

* Fri Jun 24 2016 akien <akien> 5.6-2.mga6
+ Revision: 1037467
- Readd WebKit{,Widgets} plugin needed by calibre
  o Still builds against Qt 5.5.1 for this one as deprecated upstream, hope it works

* Fri Jun 24 2016 akien <akien> 5.6-1.mga6
+ Revision: 1037442
- Fix wrong requires on python(2)-sip for python3 packages
- Enable some more modules
  o Enginio
  o QtQuickWidgets
  o QtSensors
- Version 5.6
  o Replace obsoleted WebKit modules by WebEngine ones
  o Python3 build now produces *.pyi stubs; disable them for now
- s/Trolltech/The Qt Company/

* Tue Feb 16 2016 umeabot <umeabot> 5.5.1-2.mga6
+ Revision: 962424
- Mageia 6 Mass Rebuild

* Fri Nov 06 2015 daviddavid <daviddavid> 5.5.1-1.mga6
+ Revision: 898056
- new version: 5.5.1

* Wed Oct 07 2015 daviddavid <daviddavid> 5.5-4.mga6
+ Revision: 886877
- rebuild for python 3.5

* Tue Sep 22 2015 daviddavid <daviddavid> 5.5-3.mga6
+ Revision: 882192
- reenable debug package with proper fix as it should
- fix wrong python release used in pyuic5 launch script (rhbz#1193107)
- split all python3-qt5 modules into subpackages like python-qt5
- fix owner of sip/PyQt5 dir and python3-sip/PyQt5 dir
- fix owner of %%{_qt5_prefix}/qsci dir
- introduce license macro
- use new python macros

* Wed Sep 09 2015 fwang <fwang> 5.5-2.mga6
+ Revision: 874641
- install sip files for python3

* Fri Aug 14 2015 fwang <fwang> 5.5-1.mga6
+ Revision: 864612
- update file list
- New version 5.5

* Wed Feb 04 2015 akien <akien> 5.4-1.mga5
+ Revision: 813461
- Add python-qt5-xml subpackage
- Version 5.4

* Wed Oct 15 2014 umeabot <umeabot> 5.3.2-2.mga5
+ Revision: 747829
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 lmenut <lmenut> 5.3.2-1.mga5
+ Revision: 734460
- update to 5.3.2

* Sat Sep 27 2014 tv <tv> 5.3.1-4.mga5
+ Revision: 729617
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sun Sep 07 2014 philippem <philippem> 5.3.1-2.mga5
+ Revision: 673349
- add Python3 (first attempt)

* Sun Jul 13 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 651695
- 5.3.1

* Sat May 31 2014 pterjan <pterjan> 5.3-2.mga5
+ Revision: 628982
- Rebuild for new Python

* Thu May 29 2014 fwang <fwang> 5.3-1.mga5
+ Revision: 627413
- update file list
- add br
- 5.3
- bump req
- 5.3 snapshot
- 5.2.1

* Mon Feb 17 2014 fwang <fwang> 5.2-4.mga5
+ Revision: 593324
- add serialport module

* Mon Feb 17 2014 fwang <fwang> 5.2-3.mga5
+ Revision: 593277
- update file list
- add more support on new modules

* Tue Feb 04 2014 fwang <fwang> 5.2-2.mga5
+ Revision: 581789
- update file list
- br x11 extras

* Tue Feb 04 2014 fwang <fwang> 5.2-1.mga5
+ Revision: 581628
- new version 5.2

* Sun Nov 03 2013 fwang <fwang> 5.1.1-1.mga4
+ Revision: 549242
- update file list
- drop port_v3 from dist package
- disable stack-protector flag for now
- update file list
- try fixing complie order
- disable bytecompile
- do more modification
- new version 5.1.1
- new version 5.1
- undefine bytecompile

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + neoclust <neoclust>
    - Enable back bycompile

* Thu Aug 29 2013 fwang <fwang> 5.0.1-1.mga4
+ Revision: 472850
- update file list
- new version 5.0.1

* Tue Aug 20 2013 fwang <fwang> 5.0-7.mga4
+ Revision: 468248
- use pkconfig br

* Tue Jun 18 2013 fwang <fwang> 5.0-6.mga4
+ Revision: 444588
- add doc and examples

* Tue Jun 18 2013 fwang <fwang> 5.0-5.mga4
+ Revision: 444584
- add xml patterns module
- br xml patterns

* Tue Jun 18 2013 fwang <fwang> 5.0-4.mga4
+ Revision: 444577
- update requires

* Tue Jun 18 2013 fwang <fwang> 5.0-3.mga4
+ Revision: 444560
- more fixes

* Tue Jun 18 2013 fwang <fwang> 5.0-2.mga4
+ Revision: 444490
- fix linkage

* Tue Jun 18 2013 fwang <fwang> 5.0-1.mga4
+ Revision: 444472
- add more modules
- drop doc packages
- fix sed usage
- drop more modules
- update file list
- update file list
- modify libs
- correct br
- imported package python-qt5

